/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.RutaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.RutaEmpresa;
import com.rjconsultores.ventaboletos.service.RutaEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("rutaEmpresaService")
public class RutaEmpresaServiceImpl implements RutaEmpresaService {

    @Autowired
    private RutaEmpresaDAO rutaEmpresaDAO;

    public List<RutaEmpresa> obtenerTodos() {
        return rutaEmpresaDAO.obtenerTodos();
    }

    public RutaEmpresa obtenerID(Integer id) {
        return rutaEmpresaDAO.obtenerID(id);
    }

    @Transactional
    public RutaEmpresa suscribir(RutaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return rutaEmpresaDAO.suscribir(entidad);
    }

    @Transactional
    public RutaEmpresa actualizacion(RutaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return rutaEmpresaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(RutaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        rutaEmpresaDAO.actualizacion(entidad);
    }

	@Override
	public List<RutaEmpresa> obtenerPorEmpresa(Empresa empresa) {
		return rutaEmpresaDAO.obtenerPorEmpresa(empresa);
	}
	
	@Override
	public List<RutaEmpresa> obtenerPorRuta(Ruta ruta) {
		return rutaEmpresaDAO.obtenerPorRuta(ruta);
	}
	
}
